unit Unit3;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, QuickRpt, DB, DBClient, SimpleDS, QRCtrls;

type
  TForm3 = class(TForm)
    QuickRep1: TQuickRep;
    dsOrderM: TSimpleDataSet;
    dsOrderD: TSimpleDataSet;
    dsOrderMDs: TDataSource;
    PageHeaderBand1: TQRBand;
    PageFooterBand1: TQRBand;
    QRLabel1: TQRLabel;
    QRLabel2: TQRLabel;
    QRLabel3: TQRLabel;
    QRDBText1: TQRDBText;
    QRDBText2: TQRDBText;
    QRSubDetail1: TQRSubDetail;
    QRDBText3: TQRDBText;
    QRDBText4: TQRDBText;
    QRDBText5: TQRDBText;
    QRGroup1: TQRGroup;
    QRBand1: TQRBand;
    QRLabel4: TQRLabel;
    procedure dsOrderMAfterScroll(DataSet: TDataSet);
    procedure QRBand1AfterPrint(Sender: TQRCustomBand;
      BandPrinted: Boolean);
    procedure QRGroup1BeforePrint(Sender: TQRCustomBand;
      var PrintBand: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form3: TForm3;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm3.dsOrderMAfterScroll(DataSet: TDataSet);
begin
  self.dsOrderD.Close;

  self.dsOrderD.DataSet.Params.ParamByName('orderid').AsString :=
    self.dsOrderM.FieldbyName('OrderId').AsString;

  self.dsOrderD.Open;  
end;

procedure TForm3.QRBand1AfterPrint(Sender: TQRCustomBand;
  BandPrinted: Boolean);
begin
  self.QuickRep1.NewPage;
end;

procedure TForm3.QRGroup1BeforePrint(Sender: TQRCustomBand;
  var PrintBand: Boolean);
begin
  QRGroup1.ReprintOnNewPage := true;
end;

end.
